summaryrefslogtreecommitdiff
path: root/dev-python/ipy/ipy-1.2.ebuild
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-08 20:55:35 -0500
committerCrucible <crucible@localhost>2026-10-08 20:55:35 -0500
commit010e9f026af7b24ae016a3d084cc03f3198fae6e (patch)
treeb04639857933458c83309f7f116a0553f8623111 /dev-python/ipy/ipy-1.2.ebuild
parentac0126af4bbed1cc9dd34c9d8394875eb06f1ad9 (diff)
downloadsrcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.tar.gz
srcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.tar.xz
srcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.zip
Publish srcux candidate 0000000591-20261008-205339
Diffstat (limited to 'dev-python/ipy/ipy-1.2.ebuild')
-rw-r--r--dev-python/ipy/ipy-1.2.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/ipy/ipy-1.2.ebuild b/dev-python/ipy/ipy-1.2.ebuild
new file mode 100644
index 000000000000..ccd613d7584c
--- /dev/null
+++ b/dev-python/ipy/ipy-1.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=IPy
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Class and tools for handling of IPv4 and IPv6 addresses and networks"
+HOMEPAGE="
+ https://github.com/autocracy/python-ipy/
+ https://pypi.org/project/IPy/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="examples"
+
+PATCHES=( "${FILESDIR}/${PN}-1.01-setDaemon-daemon.patch" )
+
+python_test() {
+ "${EPYTHON}" test/test_IPy.py || die "Tests fail with ${EPYTHON}"
+ "${EPYTHON}" test_doc.py || die "Doctests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r example/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}